#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, x;
    cin >> n >> x;

    vector<int> komsije(n);

    for (int i = 0; i < n; ++i) cin >> komsije[i];

    sort(komsije.begin(), komsije.end());

    if (komsije[0] > x) { cout << komsije.back()-x; return 0; }

    long long r1 = x - komsije[0];
    long long r2 = komsije.back() - x;

    if (r1 <= r2) {
        cout << 2*r1 + r2;
        return 0;
    } else {
        cout << 2*r2 + r1;
        return 0;
    }

    return 0;
}